List withdrawal wallets
const url = 'https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses")
.header("Authorization", "Bearer <token>")
.asString();CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl --request GET \
--url https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": [
{
"id": "2697eff1-ac30-41db-94b7-d615133a5c9e",
"name": "ETH USDC Wallet",
"coinId": "3b3f759c-d3fa-46fd-80c5-10c1bc244e83",
"coinName": "USDC",
"coinNetworkId": "e4a800c9-ddad-411d-82da-6a8680ce6618",
"coinNetworkName": "Ethereum",
"address": "0x2205844f0b80798F0e187c260753191eb668a495",
"status": "Verified",
"createdAt": "2025-01-24T11:51:11.604Z",
"updatedAt": "2025-01-24T11:52:08.299Z",
"verified": true,
"comments": null
},
{
"id": "9c2edf76-2349-4ae6-9250-5e692a89aedf",
"name": "ETH USDT Wallet",
"coinId": "3b3f759c-d3fa-46fd-80c5-10c1bc244e83",
"coinName": "USDT",
"coinNetworkId": "e4a800c9-ddad-411d-82da-6a8680ce6618",
"coinNetworkName": "Ethereum",
"address": "0x2205844f0b80798F0e187c260753191eb668a495",
"status": "Verified",
"createdAt": "2025-01-24T11:50:50.526Z",
"updatedAt": "2025-01-24T11:52:09.976Z",
"verified": true,
"comments": null
}
],
"meta": {
"pagination": {
"total": 2,
"start": 1,
"end": 2,
"page": 1,
"limit": 2
}
}
}{
"status": "error",
"message": "Query validation failed"
}{
"status": "error",
"message": "The authorization key provided is either invalid or expired, please try again"
}{
"status": "error",
"message": "An internal error has occurred"
}List withdrawal wallets
Returns the approved stablecoin withdrawal wallets associated with the organization.
GET
/
v1
/
brokerage
/
{orgId}
/
withdrawal_addresses
List withdrawal wallets
const url = 'https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses")
.header("Authorization", "Bearer <token>")
.asString();CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl --request GET \
--url https://api.openfx.com/v1/brokerage/{orgId}/withdrawal_addresses \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": [
{
"id": "2697eff1-ac30-41db-94b7-d615133a5c9e",
"name": "ETH USDC Wallet",
"coinId": "3b3f759c-d3fa-46fd-80c5-10c1bc244e83",
"coinName": "USDC",
"coinNetworkId": "e4a800c9-ddad-411d-82da-6a8680ce6618",
"coinNetworkName": "Ethereum",
"address": "0x2205844f0b80798F0e187c260753191eb668a495",
"status": "Verified",
"createdAt": "2025-01-24T11:51:11.604Z",
"updatedAt": "2025-01-24T11:52:08.299Z",
"verified": true,
"comments": null
},
{
"id": "9c2edf76-2349-4ae6-9250-5e692a89aedf",
"name": "ETH USDT Wallet",
"coinId": "3b3f759c-d3fa-46fd-80c5-10c1bc244e83",
"coinName": "USDT",
"coinNetworkId": "e4a800c9-ddad-411d-82da-6a8680ce6618",
"coinNetworkName": "Ethereum",
"address": "0x2205844f0b80798F0e187c260753191eb668a495",
"status": "Verified",
"createdAt": "2025-01-24T11:50:50.526Z",
"updatedAt": "2025-01-24T11:52:09.976Z",
"verified": true,
"comments": null
}
],
"meta": {
"pagination": {
"total": 2,
"start": 1,
"end": 2,
"page": 1,
"limit": 2
}
}
}{
"status": "error",
"message": "Query validation failed"
}{
"status": "error",
"message": "The authorization key provided is either invalid or expired, please try again"
}{
"status": "error",
"message": "An internal error has occurred"
}v1 sunsets December 31, 2026. Migrate to v2 — see the migration guide.
Errors
| Status | Message | Notes |
|---|---|---|
| 400 | Query validation failed | Request didn’t match schema (bad pagination cursor, malformed filter, etc.) |
| 401 | The authorization key provided is either invalid or expired, please try again | Mint a fresh JWT — see Authentication |
| 500 | An internal error has occurred | Server fault; retry with backoff |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 1Example:
1
Required range:
1 <= x <= 50Example:
10
Examples:
true
false
null
Examples:
null
"Verified"
"Pending"
"Rejected"
Examples:
null
"ETH"
Examples:
null
"USDC"
⌘I